tigase.auth

## Class CredentialsDecoderBean

- java.lang.Object
- - tigase.auth.CredentialsDecoderBean

- All Implemented Interfaces:
    RegistrarBean

      @Bean(name="credentialDecoders",
            parent=AuthRepositoryMDPoolBean.AuthRepositoryConfigBean.class,
            active=true)
      public class CredentialsDecoderBean
      extends Object
      implements RegistrarBean

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialsDecoderBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Credentials.Entry` | `decode(BareJID user, String mechanism, String password)`
    `List<String>` | `getSupportedMechanisms()`
    `void` | `register(Kernel kernel)` Method called when bean is being registered allowing developer to programatically register other beans.
    `void` | `unregister(Kernel kernel)` Method called while bean is being unregistered.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialsDecoderBean

          public CredentialsDecoderBean()

  - ### Method Detail

    - #### getSupportedMechanisms

          public List<String> getSupportedMechanisms()

    - #### decode

          public Credentials.Entry decode(BareJID user,
                                          String mechanism,
                                          String password)
                                   throws NoSuchAlgorithmException

      Throws:
        `NoSuchAlgorithmException`

    - #### register

          public void register(Kernel kernel)

      Description copied from interface: `RegistrarBean`
      Method called when bean is being registered allowing developer to programatically register other beans.
      Specified by:
        `register` in interface `RegistrarBean`
      Parameters:
        `kernel` - - instance from local scope

    - #### unregister

          public void unregister(Kernel kernel)

      Description copied from interface: `RegistrarBean`
      Method called while bean is being unregistered.
      Specified by:
        `unregister` in interface `RegistrarBean`
      Parameters:
        `kernel` - - instance from local scope

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.